#
# Conditional build:
%bcond_without	tests	# unit tests

%define 	module	idna
Summary:	Internationalized Domain Names in Applications (IDNA) for Python 2
Summary(pl.UTF-8):	IDNA (Internationalized Domain Names in Applications) dla Pythona 2
Name:		python3-%{module}
Version:	3.3
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://github.com/kjd/idna/releases
Source0:	https://github.com/kjd/idna/archive/v%{version}/%{module}-%{version}.tar.gz
# Source0-md5:	ce91a53442503d8e94b869957b7d4981
URL:		https://github.com/kjd/idna
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library to support the Internationalised Domain Names in
Applications (IDNA) protocol as specified in RFC 5891. This version of
the protocol is often referred to as IDNA2008 and can produce
different results from the earlier standard from 2003.

The library is also intended to act as a suitable drop-in replacement
for the encodings.idna module that comes with the Python standard
library but currently only supports the older 2003 specification.

%description -l pl.UTF-8
Biblioteka obsługująca protokół IDNA (International Domain Names in
Applications - międzynarodowe nazwy domen w aplikacjach) według
specyfikacji RFC 5891. Ta wersja protokołu jest często nazywana
IDNA2008 i może dawać inne wyniki, niż wcześniejszy standard z 2003
roku.

Ta biblioteka ma służyć także jako zamiennik modułu encodings.idna
dostarczanego z biblioteką standardową Pythona, ale obecnie
obsługująca tylko starszą specyfikację z 2003.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build %{?with_tests:test}

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc HISTORY.rst README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%changelog
* Fri Oct 15 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-idna.git;a=log;h=master

* Fri Oct 15 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> d47db78
- Up to 3.3.

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 20ff27a
- release 2 (by relup.sh)

* Wed Feb 26 2020 Jakub Bogusz <qboosh@pld-linux.org> f3f29b8
- updated to 2.9 (Unicode 12.1)

* Sat Nov 09 2019 Marcin Krol <hawk@tld-linux.org> 12d705d
- release 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> c514611
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Oct 03 2019 Jakub Bogusz <qboosh@pld-linux.org> 822ab7c
- updated to 2.8

* Thu Jul 19 2018 Jakub Bogusz <qboosh@pld-linux.org> fd96994
- updated to 2.7

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> da60bc0
- release 2 (by relup.sh)

* Tue Mar 13 2018 Marcin Krol <hawk@tld-linux.org> d9a557a
- updated to 2.6

* Wed Aug 02 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 09ce2be
- Version: 2.5

* Fri Mar 03 2017 Jakub Bogusz <qboosh@pld-linux.org> 709ec9b
- updated to 2.4

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 8976a18
- python 3.6
- release 2 (by relup.sh)

* Thu Mar 24 2016 Jakub Bogusz <qboosh@pld-linux.org> 331e993
- updated to 2.1

* Thu Mar 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 1643f7d
- pl

* Wed Mar 02 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 318d963
- initial

